<template>
  <v-app>
    <!-- icon-top -->
    <v-btn v-scroll="onScroll" v-show="fab" fab x-small dark fixed bottom right color="#428bca" @click="toTop">
      <v-icon>mdi-chevron-up</v-icon>
    </v-btn>
    <!-- icon-top -->

    <!-- User guide -->
    <v-container>
      <v-card>
        <v-container>
          <v-card-title>
            <h1>User guide</h1>
          </v-card-title>
          <h2 class="mt-3 ml-3">การเข้าใช้งานระบบ CXR-Screening version 3</h2>
          <p class="ml-3 mt-2">
            <span style="font-size: 18px">
              1. เปิด web browser เข้า URL : {{ api }}
            </span>
          </p>
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide01.png" width="850"></v-img>
          </div>
          <p class="ml-3 mt-2">
            <span style="font-size: 18px">
              2. ทำการกรอก Username / Password ตามที่ตั้งไว้ (กด Login)
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide02.png" width="850"></v-img>
          </div>
          <p class="ml-3 mt-4">
            <span style="font-size: 18px">
              3. เมื่อ Login สำเร็จจะปรากฎหน้าจอตาม Interface แสดงผลตามรูป
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide03.png" width="850"></v-img>
          </div>
          <p class="ml-3 mt-10">
            <span style="font-size: 18px">
              4. ลากไฟล์หรือกด Select Files (ไฟล์ Dicom) ที่ต้องการจะวิเคราะห์
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide04.png" width="850"></v-img>
          </div>
          <p class="ml-3 mt-10">
            <span style="font-size: 18px">
              5. เมื่อเลือกไฟล์ที่ต้องการ Upload
              เสร็จแล้วจะปรากฏหน้าจอตามรูปด้านล่าง
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide05.png" width="850"></v-img>
          </div>
          <p class="mt-10 ml-3">
            <span style="font-size: 18px">
              6. ทำการ Upload Files โดยการกด Start Upload เพื่อส่งให้ AI
              วิเคราะห์ผลมาแสดงที่หน้าเว็บ
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide06.png" width="850"></v-img>
          </div>
          <p class="mt-10 ml-3">
            <span style="font-size: 18px">
              7. เมื่อ AI วิเคราะห์ผลเสร็จจะส่งผลมาแสดงที่หน้าเว็บ โดยจะมีรูปภาพ
              ข้ลมูลคนไข้และผลที่ AI วิเคราะห์ได้
              โดยผลที่แสดงเป็นภาพการตีกรอบรอยโรค
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide07.png" width="850"></v-img>
          </div>
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide07_01.png" width="850"></v-img>
          </div>
          <p class="mt-10 ml-3">
            <span style="font-size: 18px">
              8. ถ้าคลิกแถบด้านข้างตรงคำว่า History จะแสดงประวัติการ upload
              ไฟล์, วันที่ที่เอ็กซเรย์, สามารถค้นหาจากชื่อ และสามารถกด View หรือ
              Download
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide08.png" width="850"></v-img>
          </div>
          <p class="mt-10 ml-3">
            <span style="font-size: 18px">
              9. ถ้าคลิกแถบด้านข้างตรงคำว่า Dashboard สามารถดูแพคเกจที่ใช้งาน
              จำนวนฟิล์มที่ใช้ไปแล้ว และประวัติการใช้งานของแต่ละ User
              ที่เข้าใช้งาน
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide09.png" width="850"></v-img>
          </div>
          <p class="mt-10 ml-3">
            <span style="font-size: 18px">
              10. หน้า History สามารถ Export to CSV ได้
              โดยสามารถเลือกวันที่และโรคที่ต้องการ Export ได้
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide10.png" width="850"></v-img>
          </div>

          <p class="mt-10 ml-3">
            <span style="font-size: 18px">
              11. ผู้ใช้งานสามารถเปลี่ยน Password ได้ โดยกดปุ่ม Reset Password
              จากแถบด้านบนขวา
              โดยรหัสผ่านจะต้องมีตัวอักษรพิมพ์เล็กพิมพ์ใหญ่อย่างน้อย 6 ตัว
              และต้องมีตัวเลข เช่น Testt123
            </span>
          </p>
          <br />
          <div class="d-flex flex-column justify-space-between align-center">
            <v-img src="../../../public/img/user_guide11.png" width="850"></v-img>
          </div>
          <v-row>
            <v-col cols="12" align="end">
              <span>
                <B>อ้างอิง: SD-MED-006_03 Dashboard_User_Guide, 5-Nov-2020 </B>
              </span>
            </v-col>
          </v-row>
        </v-container>
      </v-card>
    </v-container>
    <!-- User guide -->
  </v-app>
</template>

<script>
export default {
  data() {
    return {
      fab: false,
      api: process.env.VUE_APP_API
    };
  },
  methods: {
    onScroll(e) {
      if (typeof window === "undefined") return;
      const top = window.pageYOffset || e.target.scrollTop || 0;
      this.fab = top > 20;
    },

    toTop() {
      this.$vuetify.goTo(0);
    }
  }
};
</script>

<style></style>
